# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Uninstalling older versions of the software
    for to_uninstall in installed_softwares(uninstallkey="QElectroTech"):
        if Version(to_uninstall["version"]) < Version(control.get_software_version()) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(ensure_list(control.impacted_process))
            run(to_uninstall["uninstall_string"])
            wait_uninstallkey_absent(to_uninstall["key"])

    bin_name = glob.glob("Installer_QElectroTech-*")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key="QElectroTech",
        min_version="",
        timeout=600,
    )
    register_uninstall(
        "QElectroTech",
        quiet_uninstall_string=r'"C:\Program Files\QElectroTech\Uninstall.exe" /S',
        display_version=control.version.split("-")[0],
    )


# def uninstall():
#     app_dir = r"C:\Program Files\QElectroTech"
#     if isdir(app_dir):
#         remove_tree(app_dir)
